.menu-trigger {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3.7rem;
    aspect-ratio: 1/1;
    transition: 0.6s ease-out;
    position: relative;
    z-index: 10;

    --lines-height: 0.2rem;
    --lines-gap: 1rem;
}

.menu-trigger__lines {
    display: flex;
    flex-direction: column;
    width: 100%;
    cursor: pointer;
    gap: var(--lines-gap);
}

.menu-trigger__lines i {
    display: block;
    width: 100%;
    height: var(--lines-height);
    background: currentColor;
    position: relative;
    transform-origin: 50% 50%;
    transition: transform 0.3s; 
    border-radius: 1rem;
}

.menu-trigger .menu-trigger__lines i:nth-child(2) {
    display: none;
}

.menu-trigger.active {
    background: transparent;
}

.menu-trigger.active .menu-trigger__lines i:nth-child(1) {
    transform: translate3d(0, calc(var(--lines-height)/2 + var(--lines-gap)/2), 0) rotate(45deg);
}

.menu-trigger.active .menu-trigger__lines i:nth-child(3) {
    transform: translate3d(0, calc((var(--lines-height)/2 + var(--lines-gap)/2) * -1), 0) rotate(-45deg);
}
/* menu trigger END */



/* mobile-menu START */
.mobile-menu {
    width: 100%;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 0;
    translate: -200% 0;
    transition: 1s translate;
    transition-delay: 0.2s;
    overflow: hidden;
    backdrop-filter: blur(7.5px);
}

.mobile-menu.active {
    translate: 0;
    transition-delay: 0s;
}

.mobile-menu__overlay {
    width: 100%;
    height: 100%;
    background: var(--color-primary);
    background: var(--color-tertiary);
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.3;
}

.mobile-menu__inner {
    max-width: 37.5rem;
    background: var(--color-secondary);
    position: relative;
    z-index: 1;
    translate: -100% 0;
    transition: 1s ease-out;
}

.mobile-menu.active .mobile-menu__inner {
    translate: 0;
    transition-delay: 0.2s;
}

.mobile-menu__wrapper-inner {
    box-sizing: border-box;
    width: 100%;
    height: calc(100dvh - 5.2rem);
    overflow-y: auto;
}

.mobile-menu__content {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    padding: 2.5rem 2rem 4rem;
}

.mobile-menu__nav {
    padding: 0 var(--menu-gutter);
    padding-bottom: 4rem;
}

.mobile-menu__nav > ul {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.mobile-nav-menu li {
    width: 100%;
}

.mobile-nav-menu > li.current-menu-item > a,
.mobile-nav-menu > li.current-menu-ancestor > a {
    background: var(--color-surface);
    border-color: var(--color-surface);
}

.mobile-nav-menu li a {
    display: block;
    width: 100%;
    padding: 1.7rem 2.8rem;
    background: transparent;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1;
    position: relative;
    transition: 0.3s;
}

.mobile-nav-menu > li > a.opened {
    background: var(--color-primary);
    border-color: var(--color-primary);
    color: var(--color-secondary);
}

.mobile-nav-menu ul {
    display: flex;
    flex-flow: row wrap;
    flex-direction: column;
    background: var(--color-primary);
    border-radius: 1rem;
    margin-top: 0.5rem;
    display: none;
}

.mobile-nav-menu > li > a {
    border: 0.1rem solid var(--color-surface);
    border-radius: 1rem;
    color: var(--color-primary);
}

.mobile-nav-menu li li {
    width: 100%;
}

.mobile-nav-menu li li a {
    color: var(--color-secondary);
}

.mobile-nav-menu .nav-menu-arrow {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 7.2rem;
    height: 100%;
    position: absolute;
    right: 0;
    top: 50%;
    translate: 0 -50%;
    transition: 0.3s;
}

.mobile-nav-menu .nav-menu-arrow::after {
    content: '';
    aspect-ratio: 1;
    height: 25%;
    border: 0.1rem solid currentColor;
    border-bottom-color: transparent;
    border-left-color: transparent;
    transform: rotate(135deg);
    translate: 0 -25%;
}

.mobile-nav-menu a.opened .nav-menu-arrow {
    rotate: 180deg;
}

.mobile-menu__btns {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding-bottom: 4rem;
}

.mobile-menu__btn {
    width: 40rem;
    max-width: 100%;
}

.mobile-menu__socials {
    display: flex;
    justify-content: center;
    padding-bottom: 5rem;
}

[dir="rtl"] .mobile-menu {
    translate: 200% 0;
}